<!-- https://pricto.dev/docs/api/create-data-request · Spanish version: https://pricto.dev/docs/api/create-data-request.md -->

# Ask for coverage or data that is not available

`POST https://pricto.dev/v1/data-requests`

A retailer, country, category, frequency or delivery format that is not covered. An agent reviews the request, estimates feasibility and price, and replies by email. Agents may call this on behalf of the user only after the user agrees.

| Credits | MCP |
|---|---|
| 0 | [`request_data`](/docs/mcp#request_data) |

## Parameters

No parameters.

## Body

| Field | Type | Description |
|---|---|---|
| `kind` **required** | `string` | Valores / values: `retailer`, `country`, `category`, `frequency`, `delivery`, `other`. |
| `description` **required** | `string` |  |
| `retailer_url` | `string (uri)` |  |
| `country` | `string` |  |
| `contact_email` | `string (email)` |  |

## Response

`201` Request registered.

| Field | Type | Description |
|---|---|---|
| `data` **required** | `DataRequest` |  |
| `data.kind` **required** | `string` | Valores / values: `retailer`, `country`, `category`, `frequency`, `delivery`, `other`. |
| `data.description` **required** | `string` |  |
| `data.retailer_url` | `string (uri)` |  |
| `data.country` | `string` |  |
| `data.contact_email` | `string (email)` |  |
| `data.id` **required** | `string` |  |
| `data.status` **required** | `string` | Valores / values: `received`, `reviewing`, `quoted`, `accepted`, `declined`, `done`. |
| `data.created_at` **required** | `string (date-time)` |  |
| `meta` **required** | `Meta` |  |

`meta` carries the cost, the source line to quote, the language, the currency and notices (see [Conventions](/docs/convenciones)).

## Errors

- [`invalid_parameter`](/docs/errores#invalid_parameter)
- [`unauthorized`](/docs/errores#unauthorized)

## Example

```bash
curl -X POST "https://pricto.dev/v1/data-requests" \
  -H "Authorization: Bearer sk_test_sandbox" \
  -H "Content-Type: application/json" \
  -d '{"kind":"retailer","description":"Agregar una cadena regional de farmacias","country":"CL"}'
```
```python
import requests

API_KEY = "sk_test_sandbox"

r = requests.post(
    "https://pricto.dev/v1/data-requests",
    json={
        "kind": "retailer",
        "description": "Agregar una cadena regional de farmacias",
        "country": "CL",
    },
    headers={"Authorization": f"Bearer {API_KEY}"},
)
print(r.status_code, r.json())
```
```js
const API_KEY = "sk_test_sandbox";

const res = await fetch("https://pricto.dev/v1/data-requests", {
  method: "POST",
  headers: { Authorization: `Bearer ${API_KEY}`, "Content-Type": "application/json" },
  body: JSON.stringify({
    "kind": "retailer",
    "description": "Agregar una cadena regional de farmacias",
    "country": "CL"
  }),
});
console.log(res.status, await res.json());
```

```json
{
  "data": {
    "id": "dreq_0001",
    "kind": "retailer",
    "description": "Agregar una cadena regional de farmacias",
    "country": "CL",
    "status": "received",
    "created_at": "2026-10-24T22:31:30.591Z"
  },
  "meta": {
    "request_id": "req_8d3f278fe42d4e9ab1c1",
    "credits_charged": 0,
    "credits_deduplicated": 0,
    "credits_remaining": 14988,
    "period_resets_at": "2026-11-01T00:00:00.000Z",
    "usage": {
      "credits_charged": 0,
      "credits_deduplicated": 0,
      "truncated": false,
      "truncated_reason": null,
      "dry_run": false,
      "units": {}
    },
    "lang": "es",
    "currency": "local",
    "data_as_of": "2026-10-23T11:00:00Z",
    "warnings": [
      "synthetic_data: datos sintéticos de ejemplo / synthetic sample data"
    ]
  }
}
```
